• Post Reply Bookmark Topic Watch Topic
  • New Topic

compilation of StringBuilder in jdk1.4 to use in weblogic  RSS feed

 
Neeraj jain
Ranch Hand
Posts: 108
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I am trying to compile a Bean class in which i am using StringBuilder's class object and in order to use it in Weblogic i have to compile through 1.4 so please tell me how to do it
 
Paul Clapham
Sheriff
Posts: 22843
43
Eclipse IDE Firefox Browser MySQL Database
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Change your bean class so that it can be compiled under Java 1.4. That would include using StringBuffer instead of StringBuilder. And you'll need to actually use the Java 1.4 compiler to compile your bean.

It would probably also be a good idea to use a later version of Weblogic, as one which requires Java 1.4 must be extremely old, but I suppose that isn't something which you're allowed to do.
 
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!